# Generated from capistrano-didi-0.5.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name capistrano-didi

Name: rubygem-%{gem_name}
Version: 0.5.3
Release: 1%{?dist}
Summary: didi - drupal deployment script based on capistrano
License: MIT
URL: https://bitbucket.org/ausybenelux/capistrano-didi
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(capistrano) >= 3.6
# BuildRequires: rubygem(capistrano) < 4
# BuildRequires: rubygem(capistrano-composer) >= 0.0.6
# BuildRequires: rubygem(capistrano-composer) < 0.1
# BuildRequires: rubygem(capistrano-ssh-doctor) >= 1.0
# BuildRequires: rubygem(capistrano-ssh-doctor) < 2
# BuildRequires: rubygem(shoulda) >= 3.0
# BuildRequires: rubygem(shoulda) < 4
# BuildRequires: rubygem(jeweler) >= 2
# BuildRequires: rubygem(jeweler) < 3
BuildArch: noarch

%description
didi is a collection of recipes for capistrano that allow drupal to be
deployed, tested and used in a CI environment.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/CHANGELOG.txt
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/Readme.md
%{gem_instdir}/capistrano-didi.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 0.5.3-1
- Initial package
